Page MenuHomePhabricator

Remove MW UI edit page code
Closed, ResolvedPublic

Description

Once migration to OOUI is complete, as a follow up to T111088

Event Timeline

Esanders created this task.Aug 2 2017, 6:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2017, 6:38 PM
Volker_E triaged this task as Normal priority.Aug 3 2017, 3:24 PM
Volker_E updated the task description. (Show Details)

Change 366872 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] [WIP] EditPage: Remove legacy non-OOUI render mode

https://gerrit.wikimedia.org/r/366872

Change 366872 merged by jenkins-bot:
[mediawiki/core@master] EditPage: Remove legacy non-OOUI render mode

https://gerrit.wikimedia.org/r/366872

Jdforrester-WMF closed this task as Resolved.Aug 22 2017, 11:58 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Done. Some follow-up to get rid of the old CSS class name in https://gerrit.wikimedia.org/r/373164 and to get rid of the EditPage::isOouiEnabled() method which is called by Translate and TemplateSandbox.